<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.distributable-web.infinispan-session-management.affinity.local" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value=""/>
        <elem name="addr-params" value="profile,subsystem,infinispan-session-management,affinity"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.distributable-web"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.web.session-affinity.$infinispan-session-management"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.web.routing-provider"/>
    </requires>
    <refs>
        <ref feature="subsystem.distributable-web.infinispan-session-management"/>
        <ref feature="subsystem.distributable-web"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="distributable-web"/>
        <param name="infinispan-session-management" feature-id="true"/>
        <param name="affinity" feature-id="true" default="local"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>